## efl 1.26.3

=== debian/changelog ===
efl (1.26.3-1) unstable; urgency=medium

  * New upstream release
  * disable luajit usage on all platforms, drop elua
  * switch from gnutls->openssl for crypto
  * Bump symbols for 1.26.3 release

 -- Ross Vandegrift <rvandegrift@debian.org>  Sun, 18 Sep 2022 22:11:48 -0700

=== debian/control ===
Source: efl
Section: libs
Priority: optional
Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
Uploaders:
 Albin Tonnerre <lutin@debian.org>,
 Ross Vandegrift <rvandegrift@debian.org>,
 Andreas Metzler <ametzler@debian.org>,
Build-Conflicts: systemctl
Build-Depends:
 debhelper-compat (= 13),
 libblkid-dev [linux-any],
 libcurl4-openssl-dev,
 libdbus-1-dev,
 libedje-bin <cross>,
 libeet-bin <cross>,
 libelementary-bin <cross>,
 libeolian-bin <cross>,
 libfontconfig1-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libgbm-dev,
 libgcrypt-dev,
 libgif-dev,
 libgles2-mesa-dev,
 libglib2.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgstreamer1.0-dev,
 libharfbuzz-dev,
 libheif-dev,
 libinput-dev,
 libjpeg-dev,
 liblua5.2-dev,
 liblz4-dev,
 libmount-dev [linux-any],
 libopenjp2-7-dev,
 libpixman-1-dev,
 libpng-dev,
 libpoppler-cpp-dev,
 libpulse-dev,
 libraw-dev,
 librsvg2-dev,
 libscim-dev,
 libsndfile-dev,
 libspectre-dev,
 libssl-dev,
 libsystemd-dev,
 libtiff-dev,
 libudev-dev [linux-any],
 libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
 libvlc-dev,
 libwayland-dev,
 libwebp-dev,
 libx11-dev,
 libx11-xcb-dev,
 libxcb-image0-dev,
 libxcb-shm0-dev,
 libxcb1-dev,
 libxcomposite-dev,
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-x11-dev,
 libxpm-dev,
 libxrandr-dev,
 libxrender-dev,
 libxss-dev,
 libxtst-dev,
 mesa-common-dev,
 meson,
 pkg-config,
 systemd,
 wayland-protocols,
 x11proto-xext-dev,
 zlib1g-dev,
Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
Homepage: https://www.enlightenment.org
Rules-Requires-Root: no

Package: libeina1a
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libeina0, libeina1
Breaks:
 libecore-avahi1 (<= 1.23.3-8),
 libecore-bin (<= ${source:Upstream-Version}),
 libedje-bin (<= ${source:Upstream-Version}),
 libeet-bin (<= ${source:Upstream-Version}),
 libeet1 (<= 1.4.0~beta+1.4.0),
 libeeze-bin (<= ${source:Upstream-Version}),
 libefreet-bin (<= ${source:Upstream-Version}),
 libeina-bin (<= ${source:Upstream-Version}),
 libeina1 (<= 1.18.1-2),
 libelementary-bin (<= ${source:Upstream-Version}),
 libelementary-data (<= ${source:Upstream-Version}),
 libelocation1 (<= 1.23.3-8),
 libelua-bin (<= 1.26.2-2),
 libelua1 (<= 1.26.2-2),
 libembryo-bin (<= ${source:Upstream-Version}),
 libemotion-players (<= 1.23.3-8),
 libeolian-bin (<= ${source:Upstream-Version}),
 libephysics1 (<= 1.23.3-8),
 libethumb-client-bin (<= ${source:Upstream-Version}),
 libevas-loaders (<= ${source:Upstream-Version}),
 libevas-bin (<= 1.21.1-5),
 libevas1-engines-drm (<= ${source:Upstream-Version}),
 libevas1-engines-fb (<= ${source:Upstream-Version}),
 libevas1-engines-wayland (<= ${source:Upstream-Version}),
 libevas1-engines-x (<= ${source:Upstream-Version}),
Description: EFL optimized data types
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeina-bin
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL optimized data types - extra tools
 The Eina library is a library which implements an API for data types
 in an efficient way. It also provides some useful tools like opening
 shared libraries, error management, type conversion, time accounting
 and memory pools.
 .
 Please refer to the documentation for a list of included data types
 and tools.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains some additional tools that may be useful for
 debugging eina issues.

Package: libeet1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL file chunk reading/writing
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 It's small, fast, and does a job. It's heavily commented and fully documented.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libeet-bin
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: EFL file chunk reading/writing - utilities
 Eet is a tiny library designed to write an arbitrary set of chunks of data to a
 file and optionally compress each chunk (very much like a zip file) and allows
 fast random-access reading of the file later on. It does not do zip as zip
 itself has more complexity than needed, and it was much simpler to implement
 this once here.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains eet, an utility that allows you to extract, insert,
 encode and decode config blobs created with libeet.

Package: libevas1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libevas1-engines-x | libevas1-engine,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 libevas-loaders,
 libevas1-engines-drm,
 libevas1-engines-fb,
 libevas1-engines-wayland,
 libevas1-engines-x,
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL advanced canvas library
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the core library and a set of image loaders
 and/or savers for various formats: eet, gif, jpeg, png, svg, tiff and
 xpm

Package: libevas1-engines-x
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine, libevas1-engine-gl-x11, libevas1-engine-software-x11
Description: Evas module providing the X11 engines
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the X11-related Evas engine modules:
  - GL/X11
  - Software/X11 (Xlib/XCB)

Package: libevas1-engines-fb
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines-extras, libevas1-engine-fb
Provides: libevas1-engine
Description: Evas module providing the Framebuffer engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the framebuffer Evas engine module.

Package: libevas1-engines-drm
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the DRM engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the DRM-related Evas engine modules.

Package: libevas1-engines-wayland
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks:
 libeina1a (<< ${source:Upstream-Version}),
 enlightenment (<< 0.24.0-1),
Replaces: libevas-engines, libevas-engines-extras
Provides: libevas1-engine
Description: Evas module providing the Wayland engine
 Evas is a clean display canvas API for several target display systems
 that can draw anti-aliased text, smooth super- and sub-sampled scaled
 images, alpha-blend objects and more.
 .
 It abstracts the graphics drawing characteristics of the display
 system by implementing a canvas where graphical objects can be
 created, manipulated, and modified. It then handles the rendering
 pipeline in an optimal way for the underlying device in order to
 minimize redraws, via a programmatically efficient API.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).
 .
 This package contains the Wayland-related Evas engine modules.

Package: libecore1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: EFL core abstraction layer
 Ecore is a library of convenience functions. It provides abstractions
 for handling timers selections, Xdnd, event loops, and much
 more. Much of Ecore's functionality is implemented in external
 modules.
 .
 This is part of the Enlightenment Foundation Libraries (EFL).

Package: libecore-audio1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Ecore functions for audio playback and recording
 Ecore is a library of convenience functions. It provides abstractions
 for handling timers selections, Xdnd, event loops, and much
 more. Much of Ecore's functionality is implemented in external
 modules.
 .
 This package contains the Ecore wrapper and convenience functions for
 audio playback and recording.

Package: libecore-con1
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libecore-bin (>= ${source:Upstream-Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libeina1a (<< ${source:Upstream-Version})
Description: Ecore functions for network connections
 Ecore is a library of convenience functions. It provides abstractions
 for handling timers selections, Xdnd, event loops, and much

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# -O3 is used by default with the meson build.  -O2 triggers cxx weak
# -symbols in libephysics1 that shouldn't be there.
export DEB_CFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -O3
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifneq (,$(filter $(DEB_HOST_ARCH), armhf armel))
	arch_flags += -Dnative-arch-optimization=false
endif

BINPKGS := $(shell dh_listpackages | paste -sd " ")

ifeq (linux,$(DEB_HOST_ARCH_OS))
	fb_flags += -Dfb=true
endif

%:
	dh $@

override_dh_auto_configure:
# cross-builds need host eolian_gen, but ensure the versions match
ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
	test "`dpkg-query -f '$${Version}' -W libedje-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeet-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libelementary-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
	test "`dpkg-query -f '$${Version}' -W libeolian-bin | sed 's/+b[0-9]*$$//'`" = "$(DEB_VERSION)"
endif

	$(CURDIR)/debian/validate_symvers.sh

	dh_auto_configure --verbose -- \
		-Dcrypto=openssl \
		-Dtslib=false \
		-Dembedded-lz4=false \
		-Devas-loaders-disabler=json,avif \
		-Dnetwork-backend=none \
		-Dwl=true \
		-Ddrm=true \
		-Dbuild-tests=false \
		-Dlua-interpreter=lua \
		-Dbindings= \
		$(arch_flags) \
		$(fb_flags)

override_dh_auto_build:
	# ensure shaders are rebuilt from sources
	find -name '*shader*.x' -exec rm {} \;
	cd src && lib/ector/gl/shader/gen_shaders.sh
	cd src && modules/evas/engines/gl_common/shader/gen_shaders.sh

	dh_auto_build --verbose
ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_auto_build -- doc
endif
endif

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_auto_build -- doc
endif

execute_before_dh_install:
	# dh_fixperms misses this one for some reason
	chmod -x debian/tmp/usr/share/elementary/images/animated_webp_image.webp

execute_after_dh_install:
	# remove unused file, fail otherwise
	rm -f obj-$(DEB_HOST_GNU_TYPE)/html/jquery.js
	if grep -qr jquery.js obj-$(DEB_HOST_GNU_TYPE)/html/ ; \
		then echo jquery is used ; false ; fi
	# this is shipped under /usr/share/docs
	rm -f debian/libelementary-data/usr/share/icons/Enlightenment-X/README

override_dh_makeshlibs:
	dh_makeshlibs -Xmodule.so

override_dh_shlibdeps:
	dh_shlibdeps -Nlibefreet1a
	dh_shlibdeps -plibefreet1a -- -xlibefreet-bin

override_dh_clean:
	dh_clean
	find -name '*.luac' -exec rm {} \;

override_dh_installexamples:
	dh_installexamples -X.gitignore

override_dh_auto_test-indep:

override_dh_auto_test-arch:

override_dh_installman:
	dh_installman
ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
	dh_installman -pefl-doc --sourcedir obj-$(DEB_HOST_GNU_TYPE)
endif

override_dh_installdocs:
	dh_installdocs
ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
endif

## efl 1.27.0

=== meson_options.txt ===
option('audio',
  type : 'boolean',
  value : true,
  description : 'Audio support in efl'
)

option('avahi',
  type : 'boolean',
  value : false,
  description : 'Avahi (zeroconf) support in efl'
)

option('x11',
  type : 'boolean',
  value : true,
  description : 'X11 support in efl'
)

option('fb',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbocon) support in efl'
)

option('sdl',
  type : 'boolean',
  value : false,
  description : 'SDL support in efl'
)

option('wl',
  type : 'boolean',
  value : false,
  description : 'Wayland client support in efl'
)

option('buffer',
  type : 'boolean',
  value : false,
  description : 'Generic graphics buffer API support in efl'
)

option('drm',
  type : 'boolean',
  value : false,
  description : 'DRM/KMS advanced framebuffer/console support in efl'
)

option('input',
  type : 'boolean',
  value : true,
  description : 'libinput abstraction in efl'
)

option('cocoa',
  type : 'boolean',
  value : false,
  description : 'Apple MacOS cocoa support in efl'
)

option('physics',
  type : 'boolean',
  value : false,
  description : 'Physics engine (bullet) in efl'
)

option('eeze',
  type : 'boolean',
  value : true,
  description : 'Device abstraction (udev wrapper) in efl'
)

option('opengl',
  type : 'combo',
  choices : ['full', 'es-egl', 'none'],
  value : 'es-egl',
  description : 'Type of OpenGL support in efl'
)

option('build-id',
  type : 'string',
  value : 'none',
  description : 'The build id string for efl set as the EFL_BUILD_ID define')

option('eina-magic-debug',
  type : 'boolean',
  value : true,
  description : 'Magic number checking of eina structures in efl'
)

option('debug-threads',
  type : 'boolean',
  value : false,
  description : 'Thread debugging in efl'
)

option('build-examples',
  type : 'boolean',
  value : false,
  description : 'Compile examples'
)

option('build-tests',
  type : 'boolean',
  value : true,
  description : 'Compile tests'
)

option('crypto',
  type : 'combo',
  choices : ['openssl'],
  value : 'openssl',
  description : 'Which SSL Crypto library used in efl'
)

option('glib',
  type : 'boolean',
  value : false,
  description : 'Main loop integration for glib in efl'
)

option('g-mainloop',
  type : 'boolean',
  value : false,
  description : 'Use glib to run the main loop in efl'
)

option('gstreamer',
  type : 'boolean',
  value : true,
  description : 'GStreamer support in efl'
)

option('systemd',
  type : 'boolean',
  value : true,
  description : 'Systemd and Elogind support at runtime in efl'
)

option('pulseaudio',
  type : 'boolean',
  value : true,
  description : 'Pulseaudio support for audio API'
)

option('network-backend',
  type : 'combo',
  choices : ['connman', 'none'],
  value : 'none',
  description : 'Connman support in efl'
)

option('xpresent',
  type : 'boolean',
  value : false,
  description : 'X11 XPresent extension support in efl'
)

option('xinput2',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.0+ support in efl'
)

option('xinput22',
  type : 'boolean',
  value : true,
  description : 'X11 XInput 2.2+ support in efl'
)

option('tslib',
  type : 'boolean',
  value : false,
  description : 'Framebuffer (/dev/fb / fbcon) touchscreen tslib support in efl'
)

option('eject-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the eject binary, if "detect" internal eeze bins are used'
)

option('mount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the mount binary, if "detect" internal eeze bins are used'
)

option('unmount-path',
  type : 'string',
  value : 'detect',
  description : 'Path to the unmount binary, if "detect" internal eeze bins are used'
)

option('evas-loaders-disabler',
  type : 'array',
  description : 'List of modular image/vector loaders to disable in efl',
  choices : ['', 'gst', 'pdf', 'ps', 'raw', 'svg', 'rsvg', 'xcf', 'bmp', 'dds', 'eet', 'generic', 'gif', 'ico', 'jp2k', 'jpeg', 'pmaps', 'png', 'psd', 'tga', 'tgv', 'tiff', 'wbmp', 'webp', 'xpm', 'json', 'avif', 'heif', 'jxl'],
  value : ['json', 'avif', 'heif', 'jxl']
)

option('ecore-imf-loaders-disabler',
  type : 'array',
  description : 'List of input methods to disable in efl',
  choices : ['', 'xim', 'ibus', 'scim'],
  value : ['ibus']
)

option('harfbuzz',
  type : 'boolean',
  value : true,
  description : 'Harfbuzz (complex text layout library) support in efl'
)

option('fribidi',
  type : 'boolean',
  value : true,
  description : 'Fribidi (right to left text layout library) support in efl'
)

option('fontconfig',
  type : 'boolean',
  value : true,
  description : 'Fontconfig (system font database) support in efl'
)

option('edje-sound-and-video',
  type : 'boolean',
  value : true,
  description : 'disable sound and video for edje'
)

option('pixman',
  type : 'boolean',
  value : false,
  description : 'Pixman software renderer support in efl'
)

option('hyphen',
  type : 'boolean',
  value : false,
  description : 'Hyphen text layout support in efl'
)

option('embedded-lz4',
  type : 'boolean',
  value : true,
  description : 'Use the embedded in-tree zlib r131 release instead of system zlib'
)

option('libmount',
  type : 'boolean',
  value : true,
  description : 'Libmount support for device mounting in efl'
)

option('vnc-server',
  type : 'boolean',
  value : false,
  description : 'VNC server support in efl for multiseat testing'
)

option('v4l2',
  type : 'boolean',
  value : true,
  description : 'Video v4l2 support'
)

option('elua',
  type : 'boolean',
  value : false,
  description : 'Lua launcher binary support in efl'
)

option('wl-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated wayland support in efl'
)

option('drm-deprecated',
  type : 'boolean',
  value : false,
  description : 'Deprecated DRM/KMS support in efl'
)

option('nls',
  type: 'boolean',
  value: true,
  description: 'Localization'
)

option('bindings',
  type : 'array',
  choices : ['', 'lua', 'cxx', 'mono'],
  value : ['cxx'],
  description : 'Which auto-generated language bindings for efl to enable',
)

option('mono-beta',
  type: 'boolean',
  value: false,
  description: 'Mono/C# @beta Eo methods enabled in the efl'
)

option('dotnet-stylecop',
  type: 'string',
  description: 'Dotnet StyleCop checks. Use * for all, or use comma listed: -Ddotnet-stylecop=ca1062,CA1032, sa0001, SA0002, cA2225'
)

option('dotnet-stylecop-severity',
  type: 'combo',
  choices: ['Warning', 'Error'],
  value: 'Warning',
  description: 'Dotnet StyleCop checks cause compilation errors or just warnings'
)

option('mono-examples-dir',
  type: 'string',
  value: '',
  description: 'Where eolian_mono will search for examples to embed into the documentation'
)

option('dotnet',
  type: 'boolean',
  value: false,
  description: 'Enable building C# bindings with dotnet instead of mono'
)

option('lua-interpreter',
  type: 'combo',
  choices: ['luajit', 'lua'],
  value: 'luajit',
  description: 'Which Lua back-end library to use in efl'
)

option('native-arch-optimization',
  type: 'boolean',
  value: true,
  description: 'Enable architecture native optimizations in efl'
)

option('windows-version',
  type : 'combo',
  choices : ['vista', 'win7', 'win8', 'win81', 'win10'],
  value : 'win7',
  description : 'When on Windows, compile efl with the specified Windows version'
)

option('dictionaries-hyphen-dir',
  type : 'string',
  value : '/usr/share/hyphen/',
  description : 'The path to the hyphen dictionaries directory'
)

option('elementary-base-dir',
  type : 'string',
  value : '.elementary',
  description : 'The name of the directory for user supplied elementary data files like themes, config files'
)

option('install-eo-files',
  type: 'boolean',
  value: true,
  description : 'Install any eo file'
)

option('mono-friend-assemblies',
  type : 'array',
  value : [],
  description : 'List of friend assemblies that can access efl_mono assembly\'s internal types and members.'
)

option('efl-one',
  type: 'boolean',
  value : false,
  description : 'Build special set of .so´s as a single .so'
)

option('max-fd-size',
  type : 'string',
  value : '8192',
  description : 'This is the maximim set of fds and thus maximum fd value allowed +1 in the ecore main loop handler'
)

option('docs',
  type: 'boolean',
  value: false,
  description: 'Enable building C of documentation (Requires doxygen)'
)

=== debian/changelog ===
efl (1.27.0-1.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:55:56 +0000

efl (1.27.0-1.1build3) noble; urgency=medium

  * No-change rebuild against libpoppler-cpp0t64

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 21 Mar 2024 17:12:55 +1300

efl (1.27.0-1.1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:32:20 +0000

efl (1.27.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:50:21 +0000

efl (1.27.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 23:57:11 +0000

efl (1.27.0-1) unstable; urgency=medium

  * Bump symbol versions for 1.27.0 release
  * Add new symbols from 1.27.0 release
  * d/control: add libjxl-dev to Build-Depends
  * Support suppressing efl-doc with DEB_BUILD_PROFILES=nodoc
  * Handle upstream's new default that disables doc builds
  * d/p/55_fix_vieet_bashism.diff: fix vieet bashism
  * d/control: bump Standards-Version to 4.6.2, no changes required
  * d/copyright update

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 02 Jan 2024 21:36:10 -0800

efl (1.26.3-2) unstable; urgency=medium

  * d/control: update freetype/fontconf build depends
  * d/control: drop obsolete Replaces, Breaks
  * Update lintian-overrides for renames & new formats
  * Update lintian-overrides, remove arch- and version-specific strings
  * d/control: clean up unused Build-Depends-Indep
  * downgrade lua dependency to 5.1 (Closes: #1050626)

 -- Ross Vandegrift <rvandegrift@debian.org>  Tue, 29 Aug 2023 21:33:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: efl
 Section: libs
 Priority: optional
-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
 Uploaders:
  Albin Tonnerre <lutin@debian.org>,
  Ross Vandegrift <rvandegrift@debian.org>,
  Andreas Metzler <ametzler@debian.org>,
 Build-Conflicts: systemctl
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libblkid-dev [linux-any],
  libcurl4-openssl-dev,
@@ -16,8 +17,8 @@
  libeet-bin <cross>,
  libelementary-bin <cross>,
  libeolian-bin <cross>,
- libfontconfig1-dev,
- libfreetype6-dev,
+ libfontconfig-dev,
+ libfreetype-dev,
  libfribidi-dev,
  libgbm-dev,
  libgcrypt-dev,
@@ -30,7 +31,8 @@
  libheif-dev,
  libinput-dev,
  libjpeg-dev,
- liblua5.2-dev,
+ libjxl-dev,
+ liblua5.1-dev,
  liblz4-dev,
  libmount-dev [linux-any],
  libopenjp2-7-dev,
@@ -75,41 +77,35 @@
  wayland-protocols,
  x11proto-xext-dev,
  zlib1g-dev,
-Build-Depends-Indep: doxygen, ghostscript, imagemagick, texlive-font-utils
-Standards-Version: 4.5.0
+Build-Depends-Indep: doxygen <!nodoc>
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
 Vcs-Browser: https://salsa.debian.org/pkg-e-team/efl
 Homepage: https://www.enlightenment.org
 Rules-Requires-Root: no
 
-Package: libeina1a
+Package: libeina1t64
+Provides: ${t64:Provides}
+X-Time64-Compat: libeina1a
+Replaces: libeina1a
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libeina0, libeina1
-Breaks:
- libecore-avahi1 (<= 1.23.3-8),
+Breaks:libeina1a (<< ${source:Version}), 
  libecore-bin (<= ${source:Upstream-Version}),
  libedje-bin (<= ${source:Upstream-Version}),
  libeet-bin (<= ${source:Upstream-Version}),
- libeet1 (<= 1.4.0~beta+1.4.0),
  libeeze-bin (<= ${source:Upstream-Version}),
  libefreet-bin (<= ${source:Upstream-Version}),
  libeina-bin (<= ${source:Upstream-Version}),
- libeina1 (<= 1.18.1-2),
  libelementary-bin (<= ${source:Upstream-Version}),
  libelementary-data (<= ${source:Upstream-Version}),
- libelocation1 (<= 1.23.3-8),
- libelua-bin (<= 1.26.2-2),
- libelua1 (<= 1.26.2-2),
  libembryo-bin (<= ${source:Upstream-Version}),
- libemotion-players (<= 1.23.3-8),
  libeolian-bin (<= ${source:Upstream-Version}),
- libephysics1 (<= 1.23.3-8),
  libethumb-client-bin (<= ${source:Upstream-Version}),
  libevas-loaders (<= ${source:Upstream-Version}),
- libevas-bin (<= 1.21.1-5),
  libevas1-engines-drm (<= ${source:Upstream-Version}),
  libevas1-engines-fb (<= ${source:Upstream-Version}),
  libevas1-engines-wayland (<= ${source:Upstream-Version}),
@@ -212,7 +208,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libeina1a (<< ${source:Upstream-Version})
-Replaces: libevas-engines, libevas-engines-extras
 Provides: libevas1-engine, libevas1-engine-gl-x11, libevas1-engine-software-x11
 Description: Evas module providing the X11 engines
  Evas is a clean display canvas API for several target display systems
@@ -236,7 +231,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libeina1a (<< ${source:Upstream-Version})
-Replaces: libevas-engines-extras, libevas1-engine-fb
 Provides: libevas1-engine
 Description: Evas module providing the Framebuffer engine
  Evas is a clean display canvas API for several target display systems
@@ -258,7 +252,6 @@
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libeina1a (<< ${source:Upstream-Version})
-Replaces: libevas-engines, libevas-engines-extras
 Provides: libevas1-engine
 Description: Evas module providing the DRM engine
  Evas is a clean display canvas API for several target display systems
@@ -281,8 +274,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks:
  libeina1a (<< ${source:Upstream-Version}),
- enlightenment (<< 0.24.0-1),
-Replaces: libevas-engines, libevas-engines-extras
 Provides: libevas1-engine
 Description: Evas module providing the Wayland engine
  Evas is a clean display canvas API for several target display systems
@@ -328,7 +319,9 @@
  This package contains the Ecore wrapper and convenience functions for
  audio playback and recording.
 
-Package: libecore-con1
+Package: libecore-con1t64
+Provides: ${t64:Provides}
+Replaces: libecore-con1
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -336,7 +329,13 @@
  libecore-bin (>= ${source:Upstream-Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks: libeina1a (<< ${source:Upstream-Version})
+Breaks: libecore-con1 (<< ${source:Version}), libeina1a (<< ${source:Upstream-Version})
 Description: Ecore functions for network connections
  Ecore is a library of convenience functions. It provides abstractions
  for handling timers selections, Xdnd, event loops, and much
+ more. Much of Ecore's functionality is implemented in external
+ modules.
+ .
+ This is part of the Enlightenment Foundation Libraries (EFL).
+ .
+ This package contains the Ecore Connection Library, which provides

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,15 @@
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 	fb_flags += -Dfb=true
+endif
+
+# upstream's default is to not build the docs.  Enable it, unless:
+# 1) efl-doc binary pkg was suppressed (e.g. due to an only-arch-any build)
+# 2) nodoc is specified in the build options
+ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	doc_flags += -Ddocs=true
+endif
 endif
 
 %:
@@ -47,7 +56,8 @@
 		-Dlua-interpreter=lua \
 		-Dbindings= \
 		$(arch_flags) \
-		$(fb_flags)
+		$(fb_flags) \
+		$(doc_flags)
 
 override_dh_auto_build:
 	# ensure shaders are rebuilt from sources
@@ -57,14 +67,16 @@
 
 	dh_auto_build --verbose
 ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_auto_build -- doc
 endif
 endif
 
 override_dh_auto_build-indep:
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_auto_build -- doc
+endif
 endif
 
 execute_before_dh_install:

## efl 1.28.0

=== debian/changelog ===
efl (1.28.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert t64 transition changes, and so don't BD on dpkg-dev (>= 1.22.5).
  * Restore systemd as alternative BD.
  * Revert: build against system libunibreak instead of embedded copy
  * Revert: evas.pc has Requires.private libunibreak >= 4.2, libefl-all-dev
    needs to depend on libunibreak-dev. Closes: #1080103

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Jan 2025 06:03:15 -0800

efl (1.28.0-1) unstable; urgency=medium

  * New upstream release
  * Cleanup patches that were applied upstream:
  * Bump eo symbols for 1.28 release
  * Add new eo symbols for 1.28 release
  * d/control: weaken libunibreak dependency
  * d/copyright update

 -- Ross Vandegrift <rvandegrift@debian.org>  Sat, 18 Jan 2025 16:32:04 -0800

efl (1.27.0-4) unstable; urgency=medium

  * evas.pc has Requires.private libunibreak >= 4.2, libefl-all-dev needs to
    depend on libunibreak-dev. Closes: #1080103
  * Run wrap-and-sort -ast on debian control, but not globally.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Aug 2024 11:33:48 +0200

efl (1.27.0-3) unstable; urgency=medium

  [ Andreas Metzler ]
  * [lintian] libeeze* s/api/API/.
  * [lintian] B-d on pkgconf instead of pkg-config.

  [ Ross Vandegrift ]
  * build against system libunibreak instead of embedded copy
  * d/p/0009-*, d/p/0010-*: cherry-pick gcc-14 fixes (Closes: #1077770)

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 12 Aug 2024 22:21:11 -0700

efl (1.27.0-2) unstable; urgency=medium

  * B-d on systemd-dev instead of systemd. Closes: #1060602

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Jun 2024 11:49:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,82 +1,82 @@
 Source: efl
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Pkg-e Team <pkg-e-devel@lists.alioth.debian.org>
-Uploaders:
- Albin Tonnerre <lutin@debian.org>,
- Ross Vandegrift <rvandegrift@debian.org>,
- Andreas Metzler <ametzler@debian.org>,
+Uploaders: Albin Tonnerre <lutin@debian.org>,
+           Ross Vandegrift <rvandegrift@debian.org>,
+           Andreas Metzler <ametzler@debian.org>
 Build-Conflicts: systemctl
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper-compat (= 13),
- libblkid-dev [linux-any],
- libcurl4-openssl-dev,
- libdbus-1-dev,
- libedje-bin <cross>,
- libeet-bin <cross>,
- libelementary-bin <cross>,
- libeolian-bin <cross>,
- libfontconfig-dev,
- libfreetype-dev,
- libfribidi-dev,
- libgbm-dev,
- libgcrypt-dev,
- libgif-dev,
- libgles2-mesa-dev,
- libglib2.0-dev,
- libgstreamer-plugins-base1.0-dev,
- libgstreamer1.0-dev,
- libharfbuzz-dev,
- libheif-dev,
- libinput-dev,
- libjpeg-dev,
- libjxl-dev,
- liblua5.1-dev,
- liblz4-dev,
- libmount-dev [linux-any],
- libopenjp2-7-dev,
- libpixman-1-dev,
- libpng-dev,
- libpoppler-cpp-dev,
- libpulse-dev,
- libraw-dev,
- librsvg2-dev,
- libscim-dev,
- libsndfile-dev,
- libspectre-dev,
- libssl-dev,
- libsystemd-dev,
- libtiff-dev,
- libudev-dev [linux-any],
- libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
- libvlc-dev,
- libwayland-dev,
- libwebp-dev,
- libx11-dev,
- libx11-xcb-dev,
- libxcb-image0-dev,
- libxcb-shm0-dev,
- libxcb1-dev,
- libxcomposite-dev,
- libxcursor-dev,
- libxdamage-dev,
- libxext-dev,
- libxi-dev,
- libxinerama-dev,
- libxkbcommon-x11-dev,
- libxpm-dev,
- libxrandr-dev,
- libxrender-dev,
- libxss-dev,
- libxtst-dev,
- mesa-common-dev,
- meson,
- pkg-config,
- systemd,
- wayland-protocols,
- x11proto-xext-dev,
- zlib1g-dev,
+Build-Depends: debhelper-compat (= 13),
+#               dpkg-dev (>= 1.22.5),
+               libblkid-dev [linux-any],
+               libcurl4-openssl-dev,
+               libdbus-1-dev,
+               libedje-bin <cross>,
+               libeet-bin <cross>,
+               libelementary-bin <cross>,
+               libeolian-bin <cross>,
+               libfontconfig-dev,
+               libfreetype-dev,
+               libfribidi-dev,
+               libgbm-dev,
+               libgcrypt-dev,
+               libgif-dev,
+               libgles2-mesa-dev,
+               libglib2.0-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libharfbuzz-dev,
+               libheif-dev,
+               libinput-dev,
+               libjpeg-dev,
+               libjxl-dev,
+               liblua5.1-dev,
+               liblz4-dev,
+               libmount-dev [linux-any],
+               libopenjp2-7-dev,
+               libpixman-1-dev,
+               libpng-dev,
+               libpoppler-cpp-dev,
+               libpulse-dev,
+               libraw-dev,
+               librsvg2-dev,
+               libscim-dev,
+               libsndfile-dev,
+               libspectre-dev,
+               libssl-dev,
+               libsystemd-dev,
+               libtiff-dev,
+               libudev-dev [linux-any],
+#               libunibreak-dev (>= 5.1),
+               libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
+               libvlc-dev,
+               libwayland-dev,
+               libwebp-dev,
+               libx11-dev,
+               libx11-xcb-dev,
+               libxcb-image0-dev,
+               libxcb-shm0-dev,
+               libxcb1-dev,
+               libxcomposite-dev,
+               libxcursor-dev,
+               libxdamage-dev,
+               libxext-dev,
+               libxi-dev,
+               libxinerama-dev,
+               libxkbcommon-x11-dev,
+               libxpm-dev,
+               libxrandr-dev,
+               libxrender-dev,
+               libxss-dev,
+               libxtst-dev,
+               mesa-common-dev,
+               meson,
+               pkgconf,
+               systemd-dev | systemd,
+               wayland-protocols,
+               x11proto-xext-dev,
+               zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/pkg-e-team/efl.git
@@ -84,32 +84,32 @@
 Homepage: https://www.enlightenment.org
 Rules-Requires-Root: no
 
-Package: libeina1t64
-Provides: ${t64:Provides}
-X-Time64-Compat: libeina1a
+Package: libeina1
+# Provides: ${t64:Provides}
+# X-Time64-Compat: libeina1a
 Replaces: libeina1a
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libeina0, libeina1
-Breaks:libeina1a (<< ${source:Version}), 
- libecore-bin (<= ${source:Upstream-Version}),
- libedje-bin (<= ${source:Upstream-Version}),
- libeet-bin (<= ${source:Upstream-Version}),
- libeeze-bin (<= ${source:Upstream-Version}),
- libefreet-bin (<= ${source:Upstream-Version}),
- libeina-bin (<= ${source:Upstream-Version}),
- libelementary-bin (<= ${source:Upstream-Version}),
- libelementary-data (<= ${source:Upstream-Version}),
- libembryo-bin (<= ${source:Upstream-Version}),
- libeolian-bin (<= ${source:Upstream-Version}),
- libethumb-client-bin (<= ${source:Upstream-Version}),
- libevas-loaders (<= ${source:Upstream-Version}),
- libevas1-engines-drm (<= ${source:Upstream-Version}),
- libevas1-engines-fb (<= ${source:Upstream-Version}),
- libevas1-engines-wayland (<= ${source:Upstream-Version}),
- libevas1-engines-x (<= ${source:Upstream-Version}),
+Conflicts: libeina0
+Breaks: libecore-bin (<= ${source:Upstream-Version}),
+        libedje-bin (<= ${source:Upstream-Version}),
+        libeet-bin (<= ${source:Upstream-Version}),
+        libeeze-bin (<= ${source:Upstream-Version}),
+        libefreet-bin (<= ${source:Upstream-Version}),
+        libeina-bin (<= ${source:Upstream-Version}),
+        libeina1a (<< ${source:Version}),
+        libelementary-bin (<= ${source:Upstream-Version}),
+        libelementary-data (<= ${source:Upstream-Version}),
+        libembryo-bin (<= ${source:Upstream-Version}),
+        libeolian-bin (<= ${source:Upstream-Version}),
+        libethumb-client-bin (<= ${source:Upstream-Version}),
+        libevas-loaders (<= ${source:Upstream-Version}),
+        libevas1-engines-drm (<= ${source:Upstream-Version}),
+        libevas1-engines-fb (<= ${source:Upstream-Version}),
+        libevas1-engines-wayland (<= ${source:Upstream-Version}),
+        libevas1-engines-x (<= ${source:Upstream-Version})
 Description: EFL optimized data types
  The Eina library is a library which implements an API for data types
  in an efficient way. It also provides some useful tools like opening
@@ -175,16 +175,14 @@
 Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:
- libevas1-engines-x | libevas1-engine,
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- libevas-loaders,
- libevas1-engines-drm,
- libevas1-engines-fb,
- libevas1-engines-wayland,
- libevas1-engines-x,
+Depends: libevas1-engines-x | libevas1-engine,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: libevas-loaders,
+            libevas1-engines-drm,
+            libevas1-engines-fb,
+            libevas1-engines-wayland,
+            libevas1-engines-x
 Breaks: libeina1a (<< ${source:Upstream-Version})
 Description: EFL advanced canvas library
  Evas is a clean display canvas API for several target display systems
@@ -272,8 +270,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks:
- libeina1a (<< ${source:Upstream-Version}),
+Breaks: libeina1a (<< ${source:Upstream-Version})
 Provides: libevas1-engine
 Description: Evas module providing the Wayland engine
  Evas is a clean display canvas API for several target display systems
@@ -309,33 +306,3 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libeina1a (<< ${source:Upstream-Version})
-Description: Ecore functions for audio playback and recording
- Ecore is a library of convenience functions. It provides abstractions
- for handling timers selections, Xdnd, event loops, and much
- more. Much of Ecore's functionality is implemented in external
- modules.
- .
- This package contains the Ecore wrapper and convenience functions for
- audio playback and recording.
-
-Package: libecore-con1t64
-Provides: ${t64:Provides}
-Replaces: libecore-con1
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- libecore-bin (>= ${source:Upstream-Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Breaks: libecore-con1 (<< ${source:Version}), libeina1a (<< ${source:Upstream-Version})
-Description: Ecore functions for network connections
- Ecore is a library of convenience functions. It provides abstractions
- for handling timers selections, Xdnd, event loops, and much
- more. Much of Ecore's functionality is implemented in external
- modules.
- .
- This is part of the Enlightenment Foundation Libraries (EFL).
- .
- This package contains the Ecore Connection Library, which provides

=== debian/rules ===
--- 
+++ 
@@ -48,6 +48,7 @@
 		-Dcrypto=openssl \
 		-Dtslib=false \
 		-Dembedded-lz4=false \
+		-Dembedded-libunibreak=true \
 		-Devas-loaders-disabler=json,avif \
 		-Dnetwork-backend=none \
 		-Dwl=true \
@@ -120,3 +121,8 @@
 ifeq ($(filter efl-doc,$(BINPKGS)),efl-doc)
 	dh_installdocs -pefl-doc --doc-main-package=efl-doc obj-$(DEB_HOST_GNU_TYPE)/html
 endif
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## efl 1.28.1

=== meson_options.txt ===
--- 
+++ 
@@ -330,7 +330,7 @@
 option('lua-interpreter',
   type: 'combo',
   choices: ['luajit', 'lua'],
-  value: 'luajit',
+  value: 'lua',
   description: 'Which Lua back-end library to use in efl'
 )
 
@@ -388,3 +388,9 @@
   value: false,
   description: 'Enable building C of documentation (Requires doxygen)'
 )
+
+option('embedded-libunibreak',
+  type : 'boolean',
+  value : true,
+  description : 'Use the embedded in-tree libunibreak instead of the system libunibreak.'
+)

=== debian/changelog ===
efl (1.28.1-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert t64 transitions.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Mar 2025 11:48:35 -0700

efl (1.28.1-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: update upstream tag format
  * bump eo symbols for 1.28.1 release

 -- Ross Vandegrift <rvandegrift@debian.org>  Mon, 17 Mar 2025 19:32:27 -0700

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
                libsystemd-dev,
                libtiff-dev,
                libudev-dev [linux-any],
-#               libunibreak-dev (>= 5.1),
+               libunibreak-dev (>= 5.1),
                libunwind-dev [amd64 arm64 armel armhf hppa i386 ia64 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
                libvlc-dev,
                libwayland-dev,
@@ -84,15 +84,15 @@
 Homepage: https://www.enlightenment.org
 Rules-Requires-Root: no
 
-Package: libeina1
+Package: libeina1a
 # Provides: ${t64:Provides}
 # X-Time64-Compat: libeina1a
-Replaces: libeina1a
-Architecture: linux-any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libeina0
+# Replaces: libeina1a
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libeina0, libeina1
 Breaks: libecore-bin (<= ${source:Upstream-Version}),
         libedje-bin (<= ${source:Upstream-Version}),
         libeet-bin (<= ${source:Upstream-Version}),
@@ -177,8 +177,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libevas1-engines-x | libevas1-engine,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libevas-loaders,
+         ${shlibs:Depends},
+            libevas-loaders,
             libevas1-engines-drm,
             libevas1-engines-fb,
             libevas1-engines-wayland,

=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 		-Dcrypto=openssl \
 		-Dtslib=false \
 		-Dembedded-lz4=false \
-		-Dembedded-libunibreak=true \
+		-Dembedded-libunibreak=false \
 		-Devas-loaders-disabler=json,avif \
 		-Dnetwork-backend=none \
 		-Dwl=true \
